Module java.base
Package java.lang

## Class CloneNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.CloneNotSupportedException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ServerCloneException`

    public class CloneNotSupportedException
    extends Exception

Thrown to indicate that the `clone` method in class `Object` has been called to clone an object, but that the object's class does not implement the `Cloneable` interface.

Applications that override the `clone` method can also throw this exception to indicate that an object could not or should not be cloned.

Since:
  1.0
See Also:
  `Cloneable`, `Object.clone()`, Serialized Form

### Constructor Summary

Constructors
`CloneNotSupportedException()` Constructs a `CloneNotSupportedException` with no detail message.
`CloneNotSupportedException​(String s)` Constructs a `CloneNotSupportedException` with the specified detail message.

### Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CloneNotSupportedException

    public CloneNotSupportedException()

Constructs a `CloneNotSupportedException` with no detail message.

#### CloneNotSupportedException

    public CloneNotSupportedException​(String s)

Constructs a `CloneNotSupportedException` with the specified detail message.

Parameters:
  `s` - the detail message.